
function Skinner:SW_Stats()

	-- hook this function to handle Tabs
	self:Hook("SW_TabClick", function(oTab)
--		self:Debug("SW_TabClick: [%s]", oTab:GetName())
		self.hooks.SW_TabClick(oTab)
		if string.find( oTab:GetName(), "SW_FrameConsole_Tab" ) then
			if self.db.profile.TexturedTab then self:applySkin(SW_FrameConsole_Tab1, nil, 0, 1)
			else self:applySkin(SW_FrameConsole_Tab1) end
			if self.db.profile.TexturedTab then self:applySkin(SW_FrameConsole_Tab2, nil, 0, 1)
			else self:applySkin(SW_FrameConsole_Tab2) end
			self:setInactiveTab(SW_FrameConsole_Tab1)
			self:setInactiveTab(SW_FrameConsole_Tab2)
			self:setActiveTab(oTab)
		else
			if self.db.profile.TexturedTab then self:applySkin(SW_BarSettingsFrameV2_Tab1, nil, 0, 1)
			else self:applySkin(SW_BarSettingsFrameV2_Tab1) end
			if self.db.profile.TexturedTab then self:applySkin(SW_BarSettingsFrameV2_Tab2, nil, 0, 1)
			else self:applySkin(SW_BarSettingsFrameV2_Tab2) end
			if self.db.profile.TexturedTab then self:applySkin(SW_BarSettingsFrameV2_Tab3, nil, 0, 1)
			else self:applySkin(SW_BarSettingsFrameV2_Tab3) end
			self:setInactiveTab(SW_BarSettingsFrameV2_Tab1)
			self:setInactiveTab(SW_BarSettingsFrameV2_Tab2)
			self:setInactiveTab(SW_BarSettingsFrameV2_Tab3)
			self:setActiveTab(oTab)
		end
		end)
	
-->--	SW_BarSettingsFrameV2
	self:keepRegions(SW_BarSettingsFrameV2_Tab1, {10})
	if self.db.profile.TexturedTab then self:applySkin(SW_BarSettingsFrameV2_Tab1, nil, 0, 1)
	else self:applySkin(SW_BarSettingsFrameV2_Tab1) end
	self:keepRegions(SW_BarSettingsFrameV2_Tab2, {10})
	if self.db.profile.TexturedTab then self:applySkin(SW_BarSettingsFrameV2_Tab2, nil, 0, 1)
	else self:applySkin(SW_BarSettingsFrameV2_Tab2) end
	self:keepRegions(SW_BarSettingsFrameV2_Tab3, {10})
	if self.db.profile.TexturedTab then self:applySkin(SW_BarSettingsFrameV2_Tab3, nil, 0, 1)
	else self:applySkin(SW_BarSettingsFrameV2_Tab3) end
	self:setActiveTab(SW_BarSettingsFrameV2_Tab1)
	self:setInactiveTab(SW_BarSettingsFrameV2_Tab2)
	self:setInactiveTab(SW_BarSettingsFrameV2_Tab3)
	self:keepRegions(SW_BarSettingsFrameV2, {})
	self:applySkin(SW_BarSettingsFrameV2, nil)

-->--	SW_GeneralSettings
	self:keepRegions(SW_GeneralSettings, {})
	self:applySkin(SW_GeneralSettings, nil)

-->>--	SW_BarFrame1
	self:keepRegions(SW_BarFrame1, {})
	self:applySkin(SW_BarFrame1, nil)

-->>--	SW_BarSyncFrame
	self:keepRegions(SW_BarSyncFrame, {})
	self:applySkin(SW_BarSyncFrame, nil)

-->>--	SW_FrameConsole
	self:keepRegions(SW_FrameConsole_Tab1, {10})
	if self.db.profile.TexturedTab then self:applySkin(SW_FrameConsole_Tab1, nil, 0, 1)
	else self:applySkin(SW_FrameConsole_Tab1) end
	self:keepRegions(SW_FrameConsole_Tab2, {10})
	if self.db.profile.TexturedTab then self:applySkin(SW_FrameConsole_Tab2, nil, 0, 1)
	else self:applySkin(SW_FrameConsole_Tab2) end
	self:setActiveTab(SW_FrameConsole_Tab1)
	self:setInactiveTab(SW_FrameConsole_Tab2)
	self:keepRegions(SW_FrameConsole, {})
	self:applySkin(SW_FrameConsole, nil)

-->>--	SW_BarReportFrame
	self:skinEditBox(SW_BarReportFrame_VarText_EditBox, {})
	self:keepRegions(SW_BarReportFrame, {})
	self:applySkin(SW_BarReportFrame, nil)

end
